Retrieve a list of RMA and their details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Allows advanced filtering using the function-based DSL. For more information please visit https://developers.unify-retail.com/docs/filtering

Allowed field(s)/operator(s):

return_id, order_id : equals, not-equals, contains, any, none, is-null

reference : equals, not-equals, contains, any, none, is-null, is-empty, is-not-empty

status : equals, not-equals, any, none, is-null

date, created_at, updated_at : equals, not-equals, less-than, less-or-equal, greater-than, greater-or-equal, is-null

created_from, created_by, updated_from, updated_by : equals, not-equals, any, none, is-null

tags : contains, contains-any, contains-all, is-empty, is-not-empty

include
array of strings

Array of related resources to include in the response

include
integer
≥ 1
Defaults to 1

Page number to retrieve. Default: 1

integer
1 to 1000
Defaults to 50

Number of records to return per page. Default: 50. Maximum: 1000

string
deprecated

List of return IDs (separated by commas)

Deprecated - use filter=any(return_id,["RMA2601000001"]) instead.

string
deprecated

List of order IDs (separated by commas)

Deprecated - use filter=equals(order_id,"C25010000001") instead.

string
deprecated

List of reference IDs (separated by commas)

Deprecated - use filter=contains(reference,"REF") instead.

string
enum
Defaults to initiated
deprecated

RMA status

Deprecated - use filter=any(status,["confirmed"]) instead.

Allowed:
date-time
deprecated

Mandatory if date_end is provided

Deprecated - use filter=greater-or-equal(date,"2026-01-01 00:00:00") instead.

date-time
deprecated

Mandatory if date_start is provided

Deprecated - use filter=less-or-equal(date,"2026-01-31 23:59:59") instead.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json